Bug 351763 - yet another segfault in QV4::ExecutionEngine::newStringObject
Summary: yet another segfault in QV4::ExecutionEngine::newStringObject
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: general (show other bugs)
Version: 5.4.0
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/125...
Keywords: drkonqi
: 351767 353206 353221 353843 354961 356368 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-08-25 18:58 UTC by Martin Walch
Modified: 2016-08-29 07:48 UTC (History)
9 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.3
mgraesslin: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Walch 2015-08-25 18:58:38 UTC
Application: systemsettings5 (5.4.0)
 (Compiled from sources)
Qt Version: 5.5.0
Operating System: Linux 4.0.5-gentoo-gnu x86_64
Distribution: "NAME=Gentoo"

-- Information about the crash:
The crash happens most of the time with these steps:

1. run systemsettings5
2. click on "Desktop Behavior"
3. click on "Desktop Effects"
4. click on "Overview" (i.e. return to the main screen of systemsettings)
5. click again on "Desktop Behavior" (see step 2)
6. click again on  "Desktop Effects" (see step 3)
 <crash>

kernel message:
systemsettings5[7632]: segfault at 0 ip 00007f1eac98a07a sp 00007fff962807f0 error 4 in libQt5Qml.so.5.5.0[7f1eac775000+469000]

The crash can be reproduced sometimes.

-- Backtrace:
Application: System Settings (systemsettings5), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f9c3d892780 (LWP 7385))]

Thread 4 (Thread 0x7f9c2d043700 (LWP 7386)):
#0  0x00007f9c39ff3c3d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9c37ee5df6 in poll (__timeout=-1, __nfds=1, __fds=0x7f9c2d042da0) at /usr/include/bits/poll2.h:46
#2  _xcb_conn_wait (c=c@entry=0x2255dc0, cond=cond@entry=0x2255e00, vector=vector@entry=0x0, count=count@entry=0x0) at /var/tmp/portage/x11-libs/libxcb-1.11-r1/work/libxcb-1.11/src/xcb_conn.c:459
#3  0x00007f9c37ee7c8f in xcb_wait_for_event (c=0x2255dc0) at /var/tmp/portage/x11-libs/libxcb-1.11-r1/work/libxcb-1.11/src/xcb_in.c:623
#4  0x00007f9c2eb72df3 in QXcbEventReader::run (this=0x2263290) at qxcbconnection.cpp:1197
#5  0x00007f9c3a661d74 in QThreadPrivate::start (arg=0x2263290) at thread/qthread_unix.cpp:331
#6  0x00007f9c37672480 in start_thread (arg=0x7f9c2d043700) at pthread_create.c:310
#7  0x00007f9c39ffcbad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f9c20635700 (LWP 7388)):
#0  0x00007f9c39ff3c3d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9c3599e59e in poll (__timeout=-1, __nfds=1, __fds=0x7f9c18003070) at /usr/include/bits/poll2.h:46
#2  g_poll (fds=fds@entry=0x7f9c18003070, nfds=nfds@entry=1, timeout=timeout@entry=-1) at /var/tmp/portage/dev-libs/glib-2.42.2/work/glib-2.42.2/glib/gpoll.c:124
#3  0x00007f9c3598a33b in g_main_context_poll (context=context@entry=0x7f9c18000990, timeout=-1, priority=<optimized out>, fds=fds@entry=0x7f9c18003070, n_fds=n_fds@entry=1) at /var/tmp/portage/dev-libs/glib-2.42.2/work/glib-2.42.2/glib/gmain.c:4076
#4  0x00007f9c3598d49b in g_main_context_iterate (context=context@entry=0x7f9c18000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.42.2/work/glib-2.42.2/glib/gmain.c:3776
#5  0x00007f9c3598d5c2 in g_main_context_iteration (context=0x7f9c18000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.42.2/work/glib-2.42.2/glib/gmain.c:3842
#6  0x00007f9c3a8d7302 in QEventDispatcherGlib::processEvents (this=0x7f9c180008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#7  0x00007f9c3a871713 in QEventLoop::exec (this=this@entry=0x7f9c20634de0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#8  0x00007f9c3a65c151 in QThread::exec (this=this@entry=0x25553c0) at thread/qthread.cpp:503
#9  0x00007f9c3902fc84 in QQmlThreadPrivate::run (this=0x25553c0) at qml/ftw/qqmlthread.cpp:141
#10 0x00007f9c3a661d74 in QThreadPrivate::start (arg=0x25553c0) at thread/qthread_unix.cpp:331
#11 0x00007f9c37672480 in start_thread (arg=0x7f9c20635700) at pthread_create.c:310
#12 0x00007f9c39ffcbad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f9c17fff700 (LWP 7390)):
#0  0x00007f9c39ff3c3d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9c3599e59e in poll (__timeout=-1, __nfds=1, __fds=0x7f9c1010dda0) at /usr/include/bits/poll2.h:46
#2  g_poll (fds=fds@entry=0x7f9c1010dda0, nfds=nfds@entry=1, timeout=timeout@entry=-1) at /var/tmp/portage/dev-libs/glib-2.42.2/work/glib-2.42.2/glib/gpoll.c:124
#3  0x00007f9c3598a33b in g_main_context_poll (context=context@entry=0x7f9c1015ba90, timeout=-1, priority=<optimized out>, fds=fds@entry=0x7f9c1010dda0, n_fds=n_fds@entry=1) at /var/tmp/portage/dev-libs/glib-2.42.2/work/glib-2.42.2/glib/gmain.c:4076
#4  0x00007f9c3598d49b in g_main_context_iterate (context=context@entry=0x7f9c1015ba90, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.42.2/work/glib-2.42.2/glib/gmain.c:3776
#5  0x00007f9c3598d5c2 in g_main_context_iteration (context=0x7f9c1015ba90, may_block=1) at /var/tmp/portage/dev-libs/glib-2.42.2/work/glib-2.42.2/glib/gmain.c:3842
#6  0x00007f9c3a8d7302 in QEventDispatcherGlib::processEvents (this=0x7f9c100fe4a0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#7  0x00007f9c3a871713 in QEventLoop::exec (this=this@entry=0x7f9c17ffede0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#8  0x00007f9c3a65c151 in QThread::exec (this=this@entry=0x23b86c0) at thread/qthread.cpp:503
#9  0x00007f9c3902fc84 in QQmlThreadPrivate::run (this=0x23b86c0) at qml/ftw/qqmlthread.cpp:141
#10 0x00007f9c3a661d74 in QThreadPrivate::start (arg=0x23b86c0) at thread/qthread_unix.cpp:331
#11 0x00007f9c37672480 in start_thread (arg=0x7f9c17fff700) at pthread_create.c:310
#12 0x00007f9c39ffcbad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f9c3d892780 (LWP 7385)):
[KCrash Handler]
#5  load<int> (_q_value=@0x0: <error reading variable>) at /usr/include/qt5/QtCore/qgenericatomic.h:90
#6  load (this=0x0) at /usr/include/qt5/QtCore/qbasicatomic.h:118
#7  ref (this=0x0) at /usr/include/qt5/QtCore/qrefcount.h:49
#8  toQString (this=<optimized out>) at jsruntime/qv4string_p.h:81
#9  toQString (this=<optimized out>) at jsruntime/qv4string_p.h:141
#10 QV4::Heap::StringObject::StringObject (this=<optimized out>, engine=0x3350290, val=...) at jsruntime/qv4stringobject.cpp:91
#11 0x00007f9c38eb5592 in alloc<QV4::StringObject, QV4::ExecutionEngine*, QV4::Value> (arg2=..., arg1=0x3350290, this=<optimized out>) at jsruntime/qv4mm_p.h:117
#12 QV4::ExecutionEngine::newStringObject (this=0x3350290, value=...) at jsruntime/qv4engine.cpp:552
#13 0x00007f9c38f693ae in QV4::RuntimeHelpers::convertToObject (engine=engine@entry=0x3350290, value=...) at jsruntime/qv4runtime.cpp:440
#14 0x00007f9c38f6da73 in QV4::Runtime::getProperty (engine=0x3350290, object=..., nameIndex=<optimized out>) at jsruntime/qv4runtime.cpp:679
#15 0x00007f9c1c13e68d in ?? ()
#16 0x00007fff7f877780 in ?? ()
#17 0x00007f9c38f81465 in QQmlVMEMetaObject::metaCall (this=0x7f9c17000018, c=53805712, _id=<optimized out>, a=0x7f9c17000078) at qml/qqmlvmemetaobject.cpp:898
#18 0x00007f9c38efa010 in QV4::SimpleScriptFunction::call (that=<optimized out>, callData=0x3350290) at jsruntime/qv4functionobject.cpp:564
#19 0x00007f9c39012ba9 in call (d=0x7f9c17000018, this=<optimized out>) at ../../include/QtQml/5.5.0/QtQml/private/../../../../../src/qml/jsruntime/qv4object_p.h:302
#20 QQmlJavaScriptExpression::evaluate (this=this@entry=0x2c63d20, context=context@entry=0x2ca9f30, function=..., callData=callData@entry=0x7f9c17000018, isUndefined=isUndefined@entry=0x7fff7f87796c) at qml/qqmljavascriptexpression.cpp:158
#21 0x00007f9c39013060 in QQmlJavaScriptExpression::evaluate (this=this@entry=0x2c63d20, context=0x2ca9f30, function=..., isUndefined=isUndefined@entry=0x7fff7f87796c) at qml/qqmljavascriptexpression.cpp:116
#22 0x00007f9c3901a6b2 in QQmlBinding::update (this=0x2c63d00, flags=...) at qml/qqmlbinding.cpp:194
#23 0x00007f9c3901aac1 in update (this=<optimized out>) at qml/qqmlbinding_p.h:97
#24 QQmlBinding::expressionChanged (e=<optimized out>) at qml/qqmlbinding.cpp:260
#25 0x00007f9c3901214c in QQmlJavaScriptExpressionGuard_callback (e=<optimized out>) at qml/qqmljavascriptexpression.cpp:361
#26 0x00007f9c38ff09f3 in QQmlNotifier::emitNotify (endpoint=0x2d12860, a=a@entry=0x0) at qml/qqmlnotifier.cpp:73
#27 0x00007f9c38ff09d5 in QQmlNotifier::emitNotify (endpoint=0x2d12a90, a=a@entry=0x0) at qml/qqmlnotifier.cpp:68
#28 0x00007f9c38ff09d5 in QQmlNotifier::emitNotify (endpoint=0x2d14690, a=a@entry=0x0) at qml/qqmlnotifier.cpp:68
#29 0x00007f9c38ff09d5 in QQmlNotifier::emitNotify (endpoint=0x2d14c08, a=a@entry=0x0) at qml/qqmlnotifier.cpp:68
#30 0x00007f9c38ff09d5 in QQmlNotifier::emitNotify (endpoint=0x2d14e70, a=a@entry=0x0) at qml/qqmlnotifier.cpp:68
#31 0x00007f9c38f8848b in QQmlData::signalEmitted (object=0x2cab3a0, index=30, a=0x0) at qml/qqmlengine.cpp:751
#32 0x00007f9c3a8aa991 in QMetaObject::activate (sender=0x2cab3a0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=argv@entry=0x0) at kernel/qobject.cpp:3604
#33 0x00007f9c38f7db0c in QQmlVMEMetaObject::activate (this=this@entry=0x2c5fdd0, object=<optimized out>, index=<optimized out>, args=args@entry=0x0) at qml/qqmlvmemetaobject.cpp:1325
#34 0x00007f9c38f811fc in QQmlVMEMetaObject::metaCall (this=0x2c5fdd0, c=QMetaObject::WriteProperty, _id=<optimized out>, a=<optimized out>) at qml/qqmlvmemetaobject.cpp:841
#35 0x00007f9c38daf644 in QAbstractDynamicMetaObject::metaCall (this=<optimized out>, c=<optimized out>, _id=<optimized out>, a=<optimized out>) at /usr/include/qt5/QtCore/5.5.0/QtCore/private/qobject_p.h:421
#36 0x00007f9c38f81a7a in QQmlVMEMetaObject::metaCall (this=0x3096f40, c=QMetaObject::WriteProperty, _id=42, a=0x7fff7f878150) at qml/qqmlvmemetaobject.cpp:969
#37 0x00007f9c38daf644 in QAbstractDynamicMetaObject::metaCall (this=<optimized out>, c=<optimized out>, _id=<optimized out>, a=<optimized out>) at /usr/include/qt5/QtCore/5.5.0/QtCore/private/qobject_p.h:421
#38 0x00007f9c38f9c0ea in QQmlPropertyPrivate::write (object=object@entry=0x2cab3a0, property=..., value=..., context=context@entry=0x2cab240, flags=...) at qml/qqmlproperty.cpp:1308
#39 0x00007f9c38f9d6f5 in QQmlPropertyPrivate::writeValueProperty (object=object@entry=0x2cab3a0, core=..., value=..., context=context@entry=0x2cab240, flags=...) at qml/qqmlproperty.cpp:1237
#40 0x00007f9c38f9e978 in QQmlPropertyPrivate::writeBinding (object=0x2cab3a0, core=..., context=0x2cab240, expression=expression@entry=0x2c60280, result=..., isUndefined=isUndefined@entry=false, flags=...) at qml/qqmlproperty.cpp:1597
#41 0x00007f9c3901a77d in QQmlBinding::update (this=0x2c60260, flags=...) at qml/qqmlbinding.cpp:199
#42 0x00007f9c3901aac1 in update (this=<optimized out>) at qml/qqmlbinding_p.h:97
#43 QQmlBinding::expressionChanged (e=<optimized out>) at qml/qqmlbinding.cpp:260
#44 0x00007f9c3901214c in QQmlJavaScriptExpressionGuard_callback (e=<optimized out>) at qml/qqmljavascriptexpression.cpp:361
#45 0x00007f9c38ff09f3 in QQmlNotifier::emitNotify (endpoint=0x2d125f8, a=a@entry=0x0) at qml/qqmlnotifier.cpp:73
#46 0x00007f9c38f8848b in QQmlData::signalEmitted (object=0x2c60670, index=31, a=0x0) at qml/qqmlengine.cpp:751
#47 0x00007f9c3a8aa991 in QMetaObject::activate (sender=sender@entry=0x2c60670, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3604
#48 0x00007f9c3a8ab826 in QMetaObject::activate (sender=sender@entry=0x2c60670, m=m@entry=0x7f9c3958b360 <QQuickLoader::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3583
#49 0x00007f9c393f65cb in QQuickLoader::itemChanged (this=this@entry=0x2c60670) at .moc/moc_qquickloader_p.cpp:321
#50 0x00007f9c393f7849 in QQuickLoaderPrivate::incubatorStateChanged (this=0x2c606a0, status=QQmlIncubator::Ready) at items/qquickloader.cpp:665
#51 0x00007f9c393f79b2 in QQuickLoaderIncubator::statusChanged (this=<optimized out>, status=<optimized out>) at items/qquickloader.cpp:653
#52 0x00007f9c38fa63d8 in QQmlIncubatorPrivate::changeStatus (this=this@entry=0x33e4d50, s=<optimized out>) at qml/qqmlincubator.cpp:701
#53 0x00007f9c38fa7543 in QQmlIncubatorPrivate::incubate (this=this@entry=0x33e4d50, i=...) at qml/qqmlincubator.cpp:368
#54 0x00007f9c38fa79b9 in QQmlEnginePrivate::incubate (this=this@entry=0x26d27a0, i=..., forContext=forContext@entry=0x33e16d0) at qml/qqmlincubator.cpp:87
#55 0x00007f9c38fa2402 in QQmlComponent::create (this=<optimized out>, incubator=..., context=<optimized out>, forContext=forContext@entry=0x0) at qml/qqmlcomponent.cpp:1068
#56 0x00007f9c393f7b6b in QQuickLoaderPrivate::_q_sourceLoaded (this=this@entry=0x2c606a0) at items/qquickloader.cpp:713
#57 0x00007f9c393f7c2e in QQuickLoaderPrivate::load (this=this@entry=0x2c606a0) at items/qquickloader.cpp:596
#58 0x00007f9c393f8317 in QQuickLoader::componentComplete (this=0x2c60670) at items/qquickloader.cpp:805
#59 0x00007f9c390251b4 in QQmlObjectCreator::finalize (this=0x2d07f20, interrupt=...) at qml/qqmlobjectcreator.cpp:1207
#60 0x00007f9c38fa1b12 in QQmlComponentPrivate::complete (enginePriv=0x26d27a0, state=state@entry=0x31e6800) at qml/qqmlcomponent.cpp:928
#61 0x00007f9c38fa1bd1 in QQmlComponentPrivate::completeCreate (this=0x31e6760) at qml/qqmlcomponent.cpp:964
#62 0x00007f9c38fa1c52 in QQmlComponent::completeCreate (this=<optimized out>) at qml/qqmlcomponent.cpp:957
#63 0x00007f9c38fa1a3c in QQmlComponent::create (this=0x343c500, context=0x343c230) at qml/qqmlcomponent.cpp:791
#64 0x00007f9c393ffd0d in QQuickView::continueExecute (this=this@entry=0x32703f0) at items/qquickview.cpp:476
#65 0x00007f9c3940027a in QQuickViewPrivate::execute (this=this@entry=0x33462f0) at items/qquickview.cpp:124
#66 0x00007f9c3940030a in QQuickView::setSource (this=<optimized out>, url=...) at items/qquickview.cpp:253
#67 0x00007f9c1d1541c7 in KWin::Compositing::EffectView::init(KWin::Compositing::EffectView::ViewType) () from /usr/lib64/qt5/plugins/kwincompositing.so
#68 0x00007f9c1d155b6d in KWin::Compositing::EffectView::EffectView(KWin::Compositing::EffectView::ViewType, QWindow*) () from /usr/lib64/qt5/plugins/kwincompositing.so
#69 0x00007f9c1d1603a7 in KWinCompositingKCM::KWinCompositingKCM(QWidget*, QList<QVariant> const&, KWin::Compositing::EffectView::ViewType) () from /usr/lib64/qt5/plugins/kwincompositing.so
#70 0x00007f9c1d16174d in QObject* KPluginFactory::createInstance<KWinDesktopEffects, QWidget>(QWidget*, QObject*, QList<QVariant> const&) () from /usr/lib64/qt5/plugins/kwincompositing.so
#71 0x00007f9c3ab16e5f in KPluginFactory::create(char const*, QWidget*, QObject*, QList<QVariant> const&, QString const&) () from /usr/lib64/libKF5CoreAddons.so.5
#72 0x00007f9c3d41b154 in KCModuleLoader::loadModule(KCModuleInfo const&, KCModuleLoader::ErrorReporting, QWidget*, QStringList const&) () from /usr/lib64/libKF5KCMUtils.so.5
#73 0x00007f9c3d42160c in KCModuleProxyPrivate::loadModule() () from /usr/lib64/libKF5KCMUtils.so.5
#74 0x00007f9c3d4221e5 in KCModuleProxy::realModule() const () from /usr/lib64/libKF5KCMUtils.so.5
#75 0x00007f9c3d422713 in KCModuleProxy::showEvent(QShowEvent*) () from /usr/lib64/libKF5KCMUtils.so.5
#76 0x00007f9c3bd9d1fe in QWidget::event (this=0x26b5a60, event=0x7fff7f879730) at kernel/qwidget.cpp:8880
#77 0x00007f9c3bd517d8 in QApplicationPrivate::notify_helper (this=this@entry=0x224abc0, receiver=receiver@entry=0x26b5a60, e=e@entry=0x7fff7f879730) at kernel/qapplication.cpp:3717
#78 0x00007f9c3bd58f3a in QApplication::notify (this=0x7fff7f87b2a0, receiver=0x26b5a60, e=0x7fff7f879730) at kernel/qapplication.cpp:3682
#79 0x00007f9c3a873f5d in QCoreApplication::notifyInternal (this=0x7fff7f87b2a0, receiver=receiver@entry=0x26b5a60, event=event@entry=0x7fff7f879730) at kernel/qcoreapplication.cpp:965
#80 0x00007f9c3bd99c05 in sendEvent (event=0x7fff7f879730, receiver=0x26b5a60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:224
#81 QWidgetPrivate::show_helper (this=this@entry=0x23b8390) at kernel/qwidget.cpp:7809
#82 0x00007f9c3bd998b2 in QWidgetPrivate::show_recursive (this=0x23b8390) at kernel/qwidget.cpp:7680
#83 0x00007f9c3bd999ed in QWidgetPrivate::showChildren (this=this@entry=0x26b3f50, spontaneous=spontaneous@entry=false) at kernel/qwidget.cpp:8176
#84 0x00007f9c3bd99a92 in QWidgetPrivate::show_helper (this=this@entry=0x26b3f50) at kernel/qwidget.cpp:7756
#85 0x00007f9c3bd9c787 in QWidget::setVisible (this=0x26af000, visible=<optimized out>) at kernel/qwidget.cpp:8095
#86 0x00007f9c3bd997db in QWidget::show (this=this@entry=0x26af000) at kernel/qwidget.cpp:7657
#87 0x00007f9c3bd999f7 in QWidgetPrivate::showChildren (this=this@entry=0x3475100, spontaneous=spontaneous@entry=false) at kernel/qwidget.cpp:8178
#88 0x00007f9c3bd99a92 in QWidgetPrivate::show_helper (this=this@entry=0x3475100) at kernel/qwidget.cpp:7756
#89 0x00007f9c3bd9c787 in QWidget::setVisible (this=0x2579270, visible=<optimized out>) at kernel/qwidget.cpp:8095
#90 0x00007f9c3bd997db in QWidget::show (this=this@entry=0x2579270) at kernel/qwidget.cpp:7657
#91 0x00007f9c3bd7c4fd in QStackedLayout::setCurrentIndex (this=this@entry=0x24b67b0, index=2) at kernel/qstackedlayout.cpp:319
#92 0x00007f9c3bd7c737 in QStackedLayout::setCurrentWidget (this=0x24b67b0, widget=widget@entry=0x2579270) at kernel/qstackedlayout.cpp:374
#93 0x00007f9c3befae5c in QStackedWidget::setCurrentWidget (this=<optimized out>, widget=0x2579270) at widgets/qstackedwidget.cpp:244
#94 0x00007f9c3c390b8c in KPageViewPrivate::_k_pageSelected(QItemSelection const&, QItemSelection const&) () from /usr/lib64/libKF5WidgetsAddons.so.5
#95 0x00007f9c3a8ab169 in QMetaObject::activate (sender=sender@entry=0x28423d0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff7f879dd0) at kernel/qobject.cpp:3718
#96 0x00007f9c3a8ab826 in QMetaObject::activate (sender=sender@entry=0x28423d0, m=m@entry=0x7f9c3aacbfc0 <QItemSelectionModel::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff7f879dd0) at kernel/qobject.cpp:3583
#97 0x00007f9c3a81f709 in QItemSelectionModel::selectionChanged (this=this@entry=0x28423d0, _t1=..., _t2=...) at .moc/moc_qitemselectionmodel.cpp:473
#98 0x00007f9c3a8262a2 in QItemSelectionModel::emitSelectionChanged (this=this@entry=0x28423d0, newSelection=..., oldSelection=...) at itemmodels/qitemselectionmodel.cpp:1851
#99 0x00007f9c3a827349 in QItemSelectionModel::select (this=0x28423d0, selection=..., command=...) at itemmodels/qitemselectionmodel.cpp:1288
#100 0x00007f9c3bff9f73 in QListView::setSelection (this=<optimized out>, rect=..., command=...) at itemviews/qlistview.cpp:1352
#101 0x00007f9c3bfd0d60 in QAbstractItemView::mousePressEvent (this=0x24b3f80, event=<optimized out>) at itemviews/qabstractitemview.cpp:1733
#102 0x00007f9c3bd9ca5d in QWidget::event (this=this@entry=0x24b3f80, event=event@entry=0x7fff7f87a860) at kernel/qwidget.cpp:8661
#103 0x00007f9c3be905e7 in QFrame::event (this=this@entry=0x24b3f80, e=e@entry=0x7fff7f87a860) at widgets/qframe.cpp:540
#104 0x00007f9c3bf26bca in QAbstractScrollArea::viewportEvent (this=this@entry=0x24b3f80, e=e@entry=0x7fff7f87a860) at widgets/qabstractscrollarea.cpp:1200
#105 0x00007f9c3bfdb941 in QAbstractItemView::viewportEvent (this=0x24b3f80, event=0x7fff7f87a860) at itemviews/qabstractitemview.cpp:1685
#106 0x00007f9c3bf275a8 in viewportEvent (event=<optimized out>, this=<optimized out>) at widgets/qabstractscrollarea_p.h:102
#107 QAbstractScrollAreaFilter::eventFilter (this=<optimized out>, o=<optimized out>, e=<optimized out>) at widgets/qabstractscrollarea_p.h:118
#108 0x00007f9c3a8741d0 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0x224abc0, receiver=receiver@entry=0x280e700, event=event@entry=0x7fff7f87a860) at kernel/qcoreapplication.cpp:1072
#109 0x00007f9c3bd517c8 in QApplicationPrivate::notify_helper (this=this@entry=0x224abc0, receiver=receiver@entry=0x280e700, e=0x7fff7f87a860) at kernel/qapplication.cpp:3713
#110 0x00007f9c3bd571fb in QApplication::notify (this=<optimized out>, receiver=0x280e700, e=0x7fff7f87a860) at kernel/qapplication.cpp:3277
#111 0x00007f9c3a873f5d in QCoreApplication::notifyInternal (this=0x7fff7f87b2a0, receiver=receiver@entry=0x280e700, event=event@entry=0x7fff7f87a860) at kernel/qcoreapplication.cpp:965
#112 0x00007f9c3bd55ed3 in sendSpontaneousEvent (event=0x7fff7f87a860, receiver=0x280e700) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:227
#113 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x280e700, event=event@entry=0x7fff7f87a860, alienWidget=0x280e700, nativeWidget=0x24ad020, buttonDown=buttonDown@entry=0x7f9c3c2b42e0 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:2771
#114 0x00007f9c3bdb9b06 in QWidgetWindow::handleMouseEvent (this=this@entry=0x2529bd0, event=event@entry=0x7fff7f87ace0) at kernel/qwidgetwindow.cpp:555
#115 0x00007f9c3bdbb407 in QWidgetWindow::event (this=0x2529bd0, event=0x7fff7f87ace0) at kernel/qwidgetwindow.cpp:210
#116 0x00007f9c3bd517d8 in QApplicationPrivate::notify_helper (this=this@entry=0x224abc0, receiver=receiver@entry=0x2529bd0, e=e@entry=0x7fff7f87ace0) at kernel/qapplication.cpp:3717
#117 0x00007f9c3bd56b2c in QApplication::notify (this=0x7fff7f87b2a0, receiver=0x2529bd0, e=0x7fff7f87ace0) at kernel/qapplication.cpp:3161
#118 0x00007f9c3a873f5d in QCoreApplication::notifyInternal (this=0x7fff7f87b2a0, receiver=receiver@entry=0x2529bd0, event=event@entry=0x7fff7f87ace0) at kernel/qcoreapplication.cpp:965
#119 0x00007f9c3b761d71 in sendSpontaneousEvent (event=0x7fff7f87ace0, receiver=0x2529bd0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:227
#120 QGuiApplicationPrivate::processMouseEvent (e=0x26f2e40) at kernel/qguiapplication.cpp:1790
#121 0x00007f9c3b7637e5 in QGuiApplicationPrivate::processWindowSystemEvent (e=e@entry=0x26f2e40) at kernel/qguiapplication.cpp:1582
#122 0x00007f9c3b741eb1 in QWindowSystemInterface::sendWindowSystemEvents (flags=...) at kernel/qwindowsysteminterface.cpp:608
#123 0x00007f9c2eba8543 in userEventSourceDispatch (source=source@entry=0x2298420) at eventdispatchers/qeventdispatcher_glib.cpp:70
#124 0x00007f9c3598a1f0 in g_main_dispatch (context=context@entry=0x7f9c28002450) at /var/tmp/portage/dev-libs/glib-2.42.2/work/glib-2.42.2/glib/gmain.c:3111
#125 0x00007f9c3598d33f in g_main_context_dispatch (context=context@entry=0x7f9c28002450) at /var/tmp/portage/dev-libs/glib-2.42.2/work/glib-2.42.2/glib/gmain.c:3710
#126 0x00007f9c3598d4bb in g_main_context_iterate (context=context@entry=0x7f9c28002450, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.42.2/work/glib-2.42.2/glib/gmain.c:3781
#127 0x00007f9c3598d5c2 in g_main_context_iteration (context=0x7f9c28002450, may_block=1) at /var/tmp/portage/dev-libs/glib-2.42.2/work/glib-2.42.2/glib/gmain.c:3842
#128 0x00007f9c3a8d7302 in QEventDispatcherGlib::processEvents (this=0x2293830, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#129 0x00007f9c2eba87c7 in QPAEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at eventdispatchers/qeventdispatcher_glib.cpp:115
#130 0x00007f9c3a871713 in QEventLoop::exec (this=this@entry=0x7fff7f87b140, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#131 0x00007f9c3a87a429 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1229
#132 0x00007f9c3b758ceb in QGuiApplication::exec () at kernel/qguiapplication.cpp:1528
#133 0x00007f9c3bd4cd6e in QApplication::exec () at kernel/qapplication.cpp:2977
#134 0x000000000040f5af in main ()

Reported using DrKonqi
Comment 1 Martin Walch 2015-08-27 00:17:26 UTC
Looks like the problem came with the switch from Qt 5.4.2 to Qt 5.5.0.
Comment 2 Thomas Lübking 2015-08-27 08:07:26 UTC
*** Bug 351767 has been marked as a duplicate of this bug. ***
Comment 3 Ralf Jung 2015-09-13 13:41:31 UTC
I can confirm the problem. I'm on Qt 5.5 as well.
Comment 4 Thomas Lübking 2015-09-26 10:27:59 UTC
*** Bug 353206 has been marked as a duplicate of this bug. ***
Comment 5 Thomas Lübking 2015-09-26 10:30:03 UTC
Valgrind from latest dupe:
--------

 
[sudhir@fedora ~]$ valgrind systemsettings5
==20368== Memcheck, a memory error detector
==20368== Copyright (C) 2002-2013, and GNU GPL'd, by Julian Seward et al.
==20368== Using Valgrind-3.10.1 and LibVEX; rerun with -h for copyright info
==20368== Command: systemsettings5
==20368== 
==20368== Syscall param writev(vector[...]) points to uninitialised byte(s)
==20368==    at 0xA7ADABD: ??? (syscall-template.S:81)
==20368==    by 0xD81D448: write_vec (xcb_conn.c:257)
==20368==    by 0xD81D448: _xcb_conn_wait (xcb_conn.c:502)
==20368==    by 0xD81D83C: _xcb_out_send (xcb_out.c:393)
==20368==    by 0xD81DF76: _xcb_out_flush_to (xcb_out.c:417)
==20368==    by 0xD81EAA2: wait_for_reply (xcb_in.c:508)
==20368==    by 0xD81EB20: xcb_wait_for_reply (xcb_in.c:546)
==20368==    by 0x1D9D5669: QXcbConnection::sync() (qxcbconnection.cpp:1807)
==20368==    by 0x1D9ED99B: QXcbWindow::setWindowState(Qt::WindowState) (qxcbwindow.cpp:1295)
==20368==    by 0x82BFD57: QWindow::setWindowState(Qt::WindowState) (qwindow.cpp:1115)
==20368==    by 0x71B0529: KWindowConfig::restoreWindowSize(QWindow*, KConfigGroup const&) (in /usr/lib64/libKF5ConfigGui.so.5.13.0)
==20368==    by 0x565E680: KMainWindow::applyMainWindowSettings(KConfigGroup const&) (in /usr/lib64/libKF5XmlGui.so.5.13.0)
==20368==    by 0x56AA0D1: KXmlGuiWindow::applyMainWindowSettings(KConfigGroup const&) (in /usr/lib64/libKF5XmlGui.so.5.13.0)
==20368==  Address 0x16d3edd2 is 4,530 bytes inside a block of size 21,152 alloc'd
==20368==    at 0x4C2A9C7: calloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==20368==    by 0xD81CDFB: xcb_connect_to_fd (xcb_conn.c:325)
==20368==    by 0xD8209B0: xcb_connect_to_display_with_auth_info (xcb_util.c:523)
==20368==    by 0xCEF1FB9: _XConnectXCB (xcb_disp.c:78)
==20368==    by 0xCEE2AF1: XOpenDisplay (OpenDis.c:129)
==20368==    by 0x1D9D80BB: QXcbConnection::QXcbConnection(QXcbNativeInterface*, bool, unsigned int, char const*) (qxcbconnection.cpp:463)
==20368==    by 0x1D9DD9DC: QXcbIntegration::QXcbIntegration(QStringList const&, int&, char**) (qxcbintegration.cpp:177)
==20368==    by 0x1D79B46C: QXcbIntegrationPlugin::create(QString const&, QStringList const&, int&, char**) (qxcbmain.cpp:50)
==20368==    by 0x82A83F1: loadIntegration (qplatformintegrationfactory.cpp:56)
==20368==    by 0x82A83F1: QPlatformIntegrationFactory::create(QString const&, QStringList const&, int&, char**, QString const&) (qplatformintegrationfactory.cpp:73)
==20368==    by 0x82B4611: init_platform (qguiapplication.cpp:1020)
==20368==    by 0x82B4611: QGuiApplicationPrivate::createPlatformIntegration() (qguiapplication.cpp:1177)
==20368==    by 0x82B554C: QGuiApplicationPrivate::createEventDispatcher() (qguiapplication.cpp:1194)
==20368==    by 0x99CBA55: QCoreApplication::init() (qcoreapplication.cpp:768)
==20368== 
Constructing a KPluginInfo object from old style JSON. Please use kcoreaddons_desktop_to_json() for "/usr/lib64/qt5/plugins/kwin/effects/configs/kcm_kwin4_genericscripted.so" instead of kservice_desktop_to_json() in your CMake code.
==20368== Warning: noted but unhandled ioctl 0x6458 with no size/direction hints.
==20368==    This could cause spurious value errors to appear.
==20368==    See README_MISSING_SYSCALL_OR_IOCTL for guidance on writing a proper wrapper.
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:96: TypeError: Cannot read property of null
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:96: TypeError: Cannot read property of null
==20368== 
==20368== Process terminating with default action of signal 11 (SIGSEGV)
==20368==  Access not within mapped region at address 0x0
==20368==    at 0xB43A8F5: UnknownInlinedFun (qrefcount.h:54)
==20368==    by 0xB43A8F5: toQString (qv4string_p.h:81)
==20368==    by 0xB43A8F5: toQString (qv4string_p.h:141)
==20368==    by 0xB43A8F5: QV4::Heap::StringObject::StringObject(QV4::ExecutionEngine*, QV4::Value const&) (qv4stringobject.cpp:91)
==20368==    by 0xB3E1B42: alloc<QV4::StringObject, QV4::ExecutionEngine*, QV4::Value> (qv4mm_p.h:117)
==20368==    by 0xB3E1B42: QV4::ExecutionEngine::newStringObject(QV4::Value const&) (qv4engine.cpp:552)
==20368==    by 0xB47AA71: QV4::Runtime::getProperty(QV4::ExecutionEngine*, QV4::Value const&, int) (qv4runtime.cpp:679)
==20368==    by 0x2E50F90C: ???
==20368==    by 0xB41D979: QV4::SimpleScriptFunction::call(QV4::Managed*, QV4::CallData*) (qv4functionobject.cpp:564)
==20368==    by 0xB50D72E: call (qv4object_p.h:302)
==20368==    by 0xB50D72E: QQmlJavaScriptExpression::evaluate(QQmlContextData*, QV4::Value const&, QV4::CallData*, bool*) (qqmljavascriptexpression.cpp:158)
==20368==    by 0xB50DC5C: QQmlJavaScriptExpression::evaluate(QQmlContextData*, QV4::Value const&, bool*) (qqmljavascriptexpression.cpp:116)
==20368==    by 0xB51479B: QQmlBinding::update(QFlags<QQmlPropertyPrivate::WriteFlag>) (qqmlbinding.cpp:194)
==20368==    by 0xB514C5D: update (qqmlbinding_p.h:97)
==20368==    by 0xB514C5D: QQmlBinding::expressionChanged(QQmlJavaScriptExpression*) (qqmlbinding.cpp:260)
==20368==    by 0xB4F0C56: QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (qqmlnotifier.cpp:73)
==20368==    by 0xB4F0C1D: QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (qqmlnotifier.cpp:68)
==20368==    by 0xB4F0C1D: QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (qqmlnotifier.cpp:68)
==20368==  If you believe this happened as a result of a stack
==20368==  overflow in your program's main thread (unlikely but
==20368==  possible), you can try to increase the size of the
==20368==  main thread stack using the --main-stacksize= flag.
==20368==  The main thread stack size used in this run was 8388608.
==20368== 
==20368== HEAP SUMMARY:
==20368==     in use at exit: 26,678,252 bytes in 137,258 blocks
==20368==   total heap usage: 1,900,314 allocs, 1,763,056 frees, 467,231,665 bytes allocated
==20368== 
==20368== LEAK SUMMARY:
==20368==    definitely lost: 9,552,368 bytes in 49 blocks
==20368==    indirectly lost: 67,672 bytes in 53 blocks
==20368==      possibly lost: 7,822,960 bytes in 41,312 blocks
==20368==    still reachable: 9,095,252 bytes in 95,160 blocks
==20368==         suppressed: 0 bytes in 0 blocks
==20368== Rerun with --leak-check=full to see details of leaked memory
==20368== 
==20368== For counts of detected and suppressed errors, rerun with: -v
==20368== Use --track-origins=yes to see where uninitialised values come from
==20368== ERROR SUMMARY: 20 errors from 1 contexts (suppressed: 0 from 0)
Killed
Comment 6 Christoph Feck 2015-09-27 09:13:58 UTC
*** Bug 353221 has been marked as a duplicate of this bug. ***
Comment 7 Martin Flöser 2015-10-21 14:45:57 UTC
Git commit 76cd1fdc3411142991096adf8da9d7e74536f671 by Martin Gräßlin.
Committed on 21/10/2015 at 11:28.
Pushed by graesslin into branch 'Plasma/5.4'.

[kcmeffects] Do not use root context properties

Apparently it's not allowed to set root context properties multiple
times. If one goes to systemsettings, opens effects kcm, closes it
and opens it again it crashes due to setting a context property with
same name again.

This change eliminates the need for the context property by modifying
the property of the QML objects directly.
Related: bug 354164
FIXED-IN: 5.4.3
REVIEW: 125737

M  +2    -1    kcmkwin/kwincompositing/model.cpp
M  +0    -2    kcmkwin/kwincompositing/model.h
M  +0    -1    kcmkwin/kwincompositing/qml/EffectView.qml

http://commits.kde.org/kwin/76cd1fdc3411142991096adf8da9d7e74536f671
Comment 8 Thomas Lübking 2015-10-21 21:21:42 UTC
*** Bug 353843 has been marked as a duplicate of this bug. ***
Comment 9 Christoph Feck 2015-11-16 01:57:32 UTC
*** Bug 354961 has been marked as a duplicate of this bug. ***
Comment 10 test 2015-11-24 03:04:15 UTC
I can reproduce it on plasma 5.4.3. If I enter "Desktop Behavior"->"Desktop Effects" in system settings, then go back to "Overview" and to "Desktop Effects" again, the program crashes. This crash happens every time. Here's a backtrace http://pastebin.com/7LARERad
Comment 11 Thomas Lübking 2015-11-24 07:57:15 UTC
Trace lacks actual debug info.
-> Please install debug symbols (*-dbg packages of kwin and qtquick at least), cause the crash and file a new bug from drkonqi.

In general please *never* use pastebin for bug informations.
Backtraces go directly into the comments (-> be searchable), everything else as attachment to the bug (pastebin information is lost after some time)
Comment 12 test 2015-12-15 19:21:15 UTC
(In reply to Thomas Lübking from comment #11)
> Trace lacks actual debug info.
> -> Please install debug symbols (*-dbg packages of kwin and qtquick at
> least), cause the crash and file a new bug from drkonqi.
> 
> In general please *never* use pastebin for bug informations.
> Backtraces go directly into the comments (-> be searchable), everything else
> as attachment to the bug (pastebin information is lost after some time)

Sorry, I changed the distribution from arch to fedora and this bug disappeared
Comment 13 EMR_Kde 2016-07-25 17:58:31 UTC
I don't know if I am experiencing the same problem. When I click on desktop effects, then click on the film strip icon to - I guess - preview the effect, it crashes *every time*.

Console:

Constructing a KPluginInfo object from old style JSON. Please use kcoreaddons_desktop_to_json() for "/usr/lib64/qt5/plugins/kwin/effects/configs/kcm_kwin4_genericscripted.so" instead of kservice_desktop_to_json() in your CMake code.
Segmentation fault
Comment 14 Thomas Lübking 2016-07-25 18:13:22 UTC
> I don't know if I am experiencing the same problem.
Please attach a backtrace*, otherwise one will never figure ;-)

* developer information tab in the crash dialog, the console output is irrelevant here.
Comment 15 Martin Flöser 2016-08-29 07:48:49 UTC
*** Bug 356368 has been marked as a duplicate of this bug. ***